<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>alt.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>face0</object-name>
    <object-name>face</object-name>
    <object-name>needle</object-name>
    <object-name>knob</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>face0</object-name>
    <object-name>face</object-name>
    <object-name>needle</object-name>
    <object-name>knob</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>face0</object-name>
    <object-name>face</object-name>
    <object-name>needle</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/luminosite-lights</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>needle</object-name>
    <property>/position/altitude-ft</property>
    <interpolation>
      <entry><ind>     0 </ind><dep>   0 </dep></entry>
      <entry><ind>  1000 </ind><dep>  38 </dep></entry>
      <entry><ind>  2000 </ind><dep>  60 </dep></entry>
      <entry><ind>  3000 </ind><dep>  82 </dep></entry>
      <entry><ind>  4000 </ind><dep> 104 </dep></entry>
      <entry><ind>  5000 </ind><dep> 126 </dep></entry>
      <entry><ind>  6000 </ind><dep> 148 </dep></entry>
      <entry><ind>  7000 </ind><dep> 171 </dep></entry>
      <entry><ind>  8000 </ind><dep> 193 </dep></entry>
      <entry><ind>  9000 </ind><dep> 215 </dep></entry>
      <entry><ind> 10000 </ind><dep> 237 </dep></entry>
      <entry><ind> 11000 </ind><dep> 259 </dep></entry>
      <entry><ind> 12000 </ind><dep> 280 </dep></entry>
      <entry><ind> 13000 </ind><dep> 302 </dep></entry>
      <entry><ind> 14000 </ind><dep> 323 </dep></entry>
      <entry><ind> 15000 </ind><dep> 344 </dep></entry>
    </interpolation>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <!-- Pressure Knob -->
  <animation>
    <type>pick</type>
    <object-name>knob</object-name>
    <visible>true</visible>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/altimeter/setting-inhg</property>
        <step>1</step>
        <wrap>false</wrap>
      </binding>
    </action>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/altimeter/setting-inhg</property>
        <step>-1</step>
        <wrap>false</wrap>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>face</object-name>
    <property>instrumentation/altimeter/setting-inhg</property>
    <offset> 0.0 </offset>
    <factor> 0.5 </factor>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>knob</object-name>
    <property>instrumentation/altimeter/setting-inhg</property>
    <factor> 20 </factor>
    <center>
      <x-m>  0.00709 </x-m>
      <y-m>  0.00000 </y-m>
      <z-m> -0.04477 </z-m>
    </center>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

</PropertyList>
